Bug 1082448 - Dashboard shows incorrect number of maintained projects
Summary: Dashboard shows incorrect number of maintained projects
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI (Show other bugs)
(Show other bugs)
Version: 3.5
Hardware: Unspecified Unspecified
unspecified
medium
Target Milestone: ---
: 3.6
Assignee: Alex Eng
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-31 05:55 UTC by Damian Jansen
Modified: 2015-03-19 07:10 UTC (History)
3 users (show)

Fixed In Version: 3.6.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2205)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-19 07:10:29 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2014-03-31 05:55:13 UTC
Description of problem:
If a project is made obsolete, it does not show on the user's dashboard, but will still be counted in the project count.

zanata-war/src/main/java/org/zanata/action/DashboardAction.java:89

getUserMaintainedProjectsCount() should be using the getUserMaintainedProjects method to find the count.

Comment 1 Alex Eng 2014-10-23 01:49:37 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/616

Comment 2 Ding-Yi Chen 2014-10-23 04:01:57 UTC
VERIFIED with Zanata 3.6.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2205)


Note You need to log in before you can comment on or make changes to this bug.